dblink_error_message
Prev | Up | F.10. dblink | Home | Next

## dblink_error_message

dblink_error_message — gets last error message on the named connection

## Synopsis

    dblink_error_message(text connname) returns text

## Description

`dblink_error_message` fetches the most recent remote error message for a given connection.

## Arguments

`connname`

  Name of the connection to use.

## Return Value

Returns last error message, or `OK` if there has been no error in this connection.

## Notes

When asynchronous queries are initiated by `dblink_send_query`, the error message associated with the connection might not get updated until the server's response message is consumed. This typically means that `dblink_is_busy` or `dblink_get_result` should be called prior to `dblink_error_message`, so that any error generated by the asynchronous query will be visible.

## Examples

    SELECT dblink_error_message('dtest1');

Prev | Up | Next
dblink_get_connections | Home | dblink_send_query